<?php 
/**
 * File Type: Blog Templates Class
 */
 

if ( !class_exists('CS_BlogTemplates') ) {
	
	class CS_BlogTemplates
	{
		
		function __construct()
		{
			// Constructor Code here..
		}

		//======================================================================
		// Blog Large View
		//======================================================================
		public function cs_large_view( $description,$excerpt,$cs_category,$query ) {
			global $post;
			$width = '818';
			$height = '460';
			$title_limit = 1000;
 			if ( $query->have_posts() ) {  
			$postCounter	= 0;
        
                      while ( $query->have_posts() )  : $query->the_post();
					  	$postCounter++;
						$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
						$post_xml = get_post_meta(get_the_id(), "post", true);
						if ( $post_xml <> "" ) {
							$cs_xmlObject = new SimpleXMLElement($post_xml);
							$post_thumb_view = $cs_xmlObject->post_thumb_view;
							$post_thumb_audio = $cs_xmlObject->post_thumb_audio;
						}
						?>
						<div class="col-md-12">
                          <div class="cs-blog blog-large">
                    
							<?php if ( $post_thumb_view == 'Single Image' ){
                                    if ( isset( $thumbnail ) && $thumbnail !='' ) {?>
                                        <div class="cs-media">
                                          <figure>
                                            <a href="<?php echo the_permalink();?>"><img alt="blog-grid" src="<?php echo esc_url( $thumbnail );?>"></a>
                                          </figure>
                                        </div>
                                <?php }
                                  } else if ($post_thumb_view == 'Slider') {
                                        echo '<div class="cs-media"><figure>';
                                        cs_post_flex_slider($width,$height,get_the_id(),'post-list');
                                        echo '</figure></div>';
                                  }elseif ($post_thumb_view == "Audio" and $post_thumb_view <> ''){  
									echo '<div class="cs-blog-audio-sec">';
										echo do_shortcode('[audio mp3="'.$post_thumb_audio.'"][/audio]'); 
									echo '</div>';
							} 
							 ?>
							 
							 <section>
								  <div class="date-time"><time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date()));?>"><span><?php echo date_i18n('M',strtotime(get_the_date()));?> <strong><?php echo date_i18n('d',strtotime(get_the_date()));?></strong></span><small><?php echo date_i18n('Y',strtotime(get_the_date()));?></small></time></div>
								  <div class="blog-text">
									  <ul class="post-options">
										  <li class="categories"><?php $this->cs_get_categories( $cs_category ); ?> </li>
									  </ul>
									  <h2><a href="<?php echo the_permalink();?>"><?php echo substr(get_the_title(),0, $title_limit); if(strlen(get_the_title())>$title_limit){echo '...';}?></a></h2>
									  <?php if ($description == 'yes') {?><p class="textborder"> <?php echo cs_get_the_excerpt($excerpt,'ture','');?></p><?php } ?> 
									  
									  <ul class="post-options">
										  <li>
											  <span><?php echo comments_number(__('0', 'pc'), __('1', 'pc'), __('%', 'pc') );?></span>
											  <a href="<?php comments_link(); ?>"><?php _e('Comments','pc');?></a>
										  </li>
										  <li><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><i class="icon-user9"></i><?php the_author(); ?></a></li>
										  <?php  
											  $categories_list = get_the_term_list ( get_the_id(), 'post_tag', '', ',', '' );
												if ( $categories_list ){
													echo '<li><i class="icon-tag7"></i>';
														printf( __( '%1$s', 'pc'),$categories_list );
													echo '</li>';
											  }
											?>
									  </ul>
									  <a href="<?php echo the_permalink();?>" class="read-more"><i class="icon-forward3"></i><?php _e('Read More','pc');?></a>
								  </div>
							  </section>
							 
						  </div>
						</div>
									<div class="col-md-12">
							  <div class="cs-seprator">
								  <div class="spreater-inn">
									  <img src="<?php echo get_template_directory_uri(); ?>/assets/images/spreater1.png" alt="">
								  </div>
							  </div>
						</div>
						<?php
		  				endwhile;
     		}		

		 
		
		}

		//======================================================================
		  // Blog Categories
		  //======================================================================
		  public function cs_get_categories( $cs_blog_cat ) {
			
			global $post,$wpdb;         
			if ( isset( $cs_blog_cat ) && $cs_blog_cat !='' && $cs_blog_cat !='0' ){ 
			$row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from $wpdb->terms WHERE slug = %s", $cs_blog_cat ));
			echo '<a href="'.site_url().'?cat='.$row_cat->term_id.'">'.$row_cat->name.'</a>';
			} else {
			 /* Get All Categories */
			  $cs_terms = get_the_terms(get_the_id(), 'category' );
			  $cs_terms = array_splice($cs_terms, 0, 2);
				foreach($cs_terms as $cs_term){
					$cs_link = get_term_link( $cs_term,'category' );
					echo '<a href="'.$cs_link.'">'.$cs_term->name.'</a>';
				}
			 // End if Categories 
			}
		  }
		
		//======================================================================
		// Blog Grid View
		//======================================================================
		public function cs_grid_view( $description,$excerpt,$cs_category ,$cs_blog_grid_layout='col-md-4',$query, $blog_col_class = 'col-md-4') {
			global $post;
			$width = '360';
			$height = '203';
			$title_limit = 22;
			 
			if ( $query->have_posts() ) {  
				$postCounter	= 0;
        		while ( $query->have_posts() )  : $query->the_post();
					$postCounter++;

				  	$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
				  	$post_xml = get_post_meta(get_the_id(), "post", true);
				  	if ( $post_xml <> "" ) {
						$cs_xmlObject = new SimpleXMLElement($post_xml);
					  	$post_thumb_view = $cs_xmlObject->post_thumb_view;
					  	$post_thumb_audio = $cs_xmlObject->post_thumb_audio;
				  	}
 					 
			?>
		   	<div class="<?php echo esc_attr($blog_col_class); ?>">
            	<div class="cs-blog blog-grid">
               	<?php 
					if ( $post_thumb_view == 'Single Image' ){
						if ( isset( $thumbnail ) && $thumbnail !='' ) {?>
                         	<div class="cs-media">
                            	<figure>
                                	<a href="<?php echo the_permalink();?>"><img alt="blog-grid" src="<?php echo esc_url( $thumbnail );?>"></a>
                                    	<figcaption>
                                        	<a href="<?php echo the_permalink();?>"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/plus.png" alt=""></a>
                                        </figcaption>
                                    </figure>
                                </div>
					<?php }
					  } else if ($post_thumb_view == 'Slider') {
					  		echo '<div class="cs-media"><figure>';
							cs_featured();
							cs_post_flex_slider($width,$height,get_the_id(),'post-list');
							echo '</figure></div>';
					  } elseif ($post_thumb_view == "Audio" and $post_thumb_view <> ''){  
								echo '<div class="cs-blog-audio-sec">';
									echo do_shortcode('[audio mp3="'.$post_thumb_audio.'"][/audio]');
								echo '</div>';
				} 
				?>
               	<div class="date-time">
                  <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date()));?>">
                      <span>
                         <?php echo date_i18n('M',strtotime(get_the_date()));?>
                          <strong><?php echo date_i18n('d',strtotime(get_the_date()));?></strong>
                      </span>
                  </time>
              </div>
              	<div class="blog-text">
                                <ul class="post-options">
                                   <li class="categories"><?php $this->cs_get_categories( $cs_category ); ?> </li>
                                </ul>
                                <h2><a href="<?php echo the_permalink();?>"><?php echo substr(get_the_title(),0, $title_limit); if(strlen(get_the_title())>$title_limit){echo '...';}?></a></h2>
                                <?php if ($description == 'yes') {?><p class="textborder"> <?php echo cs_get_the_excerpt($excerpt,'ture','');?></p><?php } ?> 
                                <ul class="post-options">
                                    <li>
                                          <span><?php echo comments_number(__('0', 'pc'), __('1', 'pc'), __('%', 'pc') );?></span>
                                          <a href="<?php comments_link(); ?>"><?php _e('Comments','pc');?></a>
                                    </li>
                                </ul>
                                <a href="<?php echo the_permalink();?>" class="read-more"><i class="icon-forward3"></i></a>
           </div>
              <!--blog-grid--> 
            </div>
           </div>
           
              
        <?php 
		endwhile;
		}
		}
				
	}
}