<?php 
/**
 * File Type: Team Templates Class
 */
 

if ( !class_exists('cs_classTemplates') ) {
	
	class cs_classTemplates
	{
		
		function __construct()
		{
			// Constructor Code here..
		}
	
		//======================================================================
		// Class Grid View
		//======================================================================
		public function cs_grid_view($team_view='',$cs_grid_layout = 'col-md-4') {
			
			global $post;
			$width = '360';
			$height = '203';
			$title_limit = 1000;
			$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
			
			$cs_class = get_post_meta(get_the_ID(), "class", true);
			if ( $cs_class <> "" ) {
				$cs_xmlObject = new SimpleXMLElement($cs_class);
				$cs_class_size = $cs_xmlObject->cs_class_size;
				$cs_class_start_time = $cs_xmlObject->cs_class_start_time;
				$cs_class_end_time = $cs_xmlObject->cs_class_end_time;
				$cs_class_age_limit = $cs_xmlObject->cs_class_age_limit;
				$cs_class_price = $cs_xmlObject->cs_class_price;
				
			} else {
				$cs_class_size = '';
				$cs_class_start_time = '';
				$cs_class_end_time = '';
				$cs_class_age_limit = '';
				
				if(!isset($cs_xmlObject))
					$cs_xmlObject = new stdClass();
			}
			?>
            
            <div class="<?php echo esc_attr($cs_grid_layout); ?>">
                  <div class="our_classes classes-grid-view">
                  <?php if($thumbnail<>''){ ?>
                      <figure>
                             <a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title();?>"></a>
                             <a href="<?php the_permalink();?>" class="cs-icon-plus"><i class="icon-plus8"></i></a>
                      </figure>
                   <?php } ?>
                      <div class="text">
                          <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date())); ?>"><?php echo date_i18n(get_option('date_format'),strtotime(get_the_date())); ?></time>
                          <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                          <ul class="post-options">
                             <?php  
                       		 	 $categories_list = get_the_term_list ( get_the_id(), 'class-category', '', ' , ', '' );
								 if ( $categories_list ){
									echo '<li class="categories">';
										printf( __( '%1$s', 'pc'),$categories_list );
									echo '</li>';
								}
                			?>
                          </ul>
                          <ul class="class-options">
                          	<?php 
								if($cs_class_age_limit<>''){
									echo '<li>
										  <small>'.__('Year olds','pc').'</small>
										  <span>'.$cs_class_age_limit.'</span>
									  </li>';
								}
								if($cs_class_size<>''){
									echo '<li>
										  <small>'.__('Class size','pc').'</small>
										  <span>'.$cs_class_size.'</span>
									  </li>';
								}
								if($cs_class_price<>''){
									echo '<li class="cs-price-sec">
										  <strong>$'.$cs_class_price.'</strong>
										  <small>'.__('p/h','pc').'</small>
									  </li>';
								}
							?>

                          </ul>
                      </div>
                  </div>
              </div>

		<?php 
		}
		
		//======================================================================
		// Class List View
		//======================================================================
		public function cs_list_view($team_view='') {
			
			global $post;
			$width = '360';
			$height = '203';
			$title_limit = 1000;
			$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
			
			$cs_class = get_post_meta(get_the_ID(), "class", true);
			if ( $cs_class <> "" ) {
				$cs_xmlObject = new SimpleXMLElement($cs_class);
				$cs_class_size = $cs_xmlObject->cs_class_size;
				$cs_class_start_time = $cs_xmlObject->cs_class_start_time;
				$cs_class_end_time = $cs_xmlObject->cs_class_end_time;
				$cs_class_age_limit = $cs_xmlObject->cs_class_age_limit;
				$cs_class_price = $cs_xmlObject->cs_class_price;
				
			} else {
				$cs_class_size = '';
				$cs_class_start_time = '';
				$cs_class_end_time = '';
				$cs_class_age_limit = '';
				
				if(!isset($cs_xmlObject))
					$cs_xmlObject = new stdClass();
			}
			?>
            <div class="col-md-12">
                  <div class="our_classes classes-medium-view">
                  <?php if($thumbnail<>''){ ?>
                      <figure>
                             <a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title();?>"></a>
                      </figure>
                   <?php } ?>
                      <div class="text">
                          <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                          <ul class="post-options">
                             <?php  
                       		 	 $categories_list = get_the_term_list ( get_the_id(), 'class-category', '', '', '' );
								 if ( $categories_list ){
									echo '<li class="categories">';
										printf( __( '%1$s', 'pc'),$categories_list );
									echo '</li>';
								}
                			?>
                          </ul>
                          <ul class="class-options">
                          	<?php 
								if($cs_class_age_limit<>''){
									echo '<li>
										  <small>'.__('Year olds','pc').'</small>
										  <span>'.$cs_class_age_limit.'</span>
									  </li>';
								}
								if($cs_class_size<>''){
									echo '<li>
										  <small>'.__('Class size','pc').'</small>
										  <span>'.$cs_class_size.'</span>
									  </li>';
								}
								if($cs_class_price<>''){
									echo '<li class="cs-price-sec">
										  <strong>$'.$cs_class_price.'</strong>
										  <small>'.__('p/h','pc').'</small>
									  </li>';
								}
							?>

                          </ul>
                          <div class="date-time">
                            <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date())); ?>">
                                <span>
                                    <?php echo date_i18n('M',strtotime(get_the_date())); ?>
                                    <strong><?php echo date_i18n('d',strtotime(get_the_date())); ?></strong>
                                </span>
                                <small><?php echo date_i18n('Y',strtotime(get_the_date())); ?></small>
                            </time>
                        </div>
                        <div class="class-btn">
                            <a href="<?php the_permalink();?>"><i class="icon-forward3"></i></a>
                        </div>
                      </div>
                  </div>
              </div>

		<?php 
		}
		
		
		//======================================================================
		// Class Time Table View
		//======================================================================
		public function cs_time_table_view($team_view='') {
			
			global $post;
			$width = '360';
			$height = '203';
			$title_limit = 1000;
			$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
			
			$cs_class = get_post_meta(get_the_ID(), "class", true);
			if ( $cs_class <> "" ) {
				$cs_xmlObject = new SimpleXMLElement($cs_class);
				$cs_class_size = $cs_xmlObject->cs_class_size;
				$cs_class_start_time = $cs_xmlObject->cs_class_start_time;
				$cs_class_end_time = $cs_xmlObject->cs_class_end_time;
				$cs_class_age_limit = $cs_xmlObject->cs_class_age_limit;
				$cs_class_price = $cs_xmlObject->cs_class_price;
				
			} else {
				$cs_class_size = '';
				$cs_class_start_time = '';
				$cs_class_end_time = '';
				$cs_class_age_limit = '';
				
				if(!isset($cs_xmlObject))
					$cs_xmlObject = new stdClass();
			}
			?>
            
            
            <div class="col-md-4">
                  <div class="our_classes classes-grid-view">
                  <?php if($thumbnail<>''){ ?>
                      <figure>
                             <a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title();?>"></a>
                      </figure>
                   <?php } ?>
                      <div class="text">
                          <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date())); ?>"><?php date_i18n('F d, Y',strtotime(get_the_date())); ?></time>
                          <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                          <ul class="post-options">
                             <?php  
                       		 	 $categories_list = get_the_term_list ( get_the_id(), 'class-category', '', ' , ', '' );
								 if ( $categories_list ){
									echo '<li class="categories">';
										printf( __( '%1$s', 'pc'),$categories_list );
									echo '</li>';
								}
                			?>
                          </ul>
                          <ul class="class-options">
                          	<?php 
								if($cs_class_age_limit<>''){
									echo '<li>
										  <small>'.__('Year olds','pc').'</small>
										  <span>'.$cs_class_age_limit.'</span>
									  </li>';
								}
								if($cs_class_size<>''){
									echo '<li>
										  <small>'.__('Class size','pc').'</small>
										  <span>'.$cs_class_size.'</span>
									  </li>';
								}
								if($cs_class_price<>''){
									echo '<li>
										  <strong>$'.$cs_class_price.'</strong>
										  <small>'.__('p/h','pc').'</small>
									  </li>';
								}
							?>

                          </ul>
                      </div>
                  </div>
              </div>

		<?php 
		}
		

	}
}