<?php 
/**
 * File Type: Member Templates Class
 */
 

if ( !class_exists('MemberTemplates') ) {
	
	class MemberTemplates
	{
		
		function __construct()
		{
			// Constructor Code here..
		}
	
		//======================================================================
		// Team Grid View
		//======================================================================
		public function cs_grid_view($member_view='',$cs_member_excerpt_length = '',$cs_query ='') {
			
			global $post;
			$width  = '264';
			$height = '368';
			$title_limit = 1000;
			if($member_view == 'grid-3-column'){
				$layout_view = 'col-md-4 member-grid-3';
				$cs_classes	 = 'cs-team team-grid';
			}elseif($member_view == 'grid-4-column'){
				$layout_view = 'col-md-3 member-grid-4';
				$cs_classes	 = 'cs-team team-grid';
			}elseif($member_view == 'grid-2-column'){
				$layout_view = 'col-md-6 member-grid-2';
				$cs_classes	 = 'cs-team cs-team-medium';
				$width  = '262';
				$height = '262';
			}
			if ( $cs_query->have_posts() ) {
				 while ( $cs_query->have_posts() )  : $cs_query->the_post();
				$cs_member = get_post_meta(get_the_ID(), "member", true);
				if ( $cs_member <> "" ) {
					$cs_xmlObject = new SimpleXMLElement($cs_member);
					$cs_team_designation = $cs_xmlObject->cs_team_designation;
					
					
				} else {
					$cs_team_designation = '';
					if(!isset($cs_xmlObject))
						$cs_xmlObject = new stdClass();
				}

				$thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
				
			?>
			<div class="<?php echo cs_allow_special_char( $layout_view ); ?>">
            	<article class="<?php echo esc_attr( $cs_classes );?>">
                   	<?php if($thumbnail <> ''){ ?> 
                  		<figure>
                      		<a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title();?>"></a>
                  		</figure>
				  	<?php } ?>
                   	<div class="text">
                    	<header>
                          <h2 class="cs-post-title"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                      	</header>
                      	<?php 
					  		if ( isset( $cs_team_designation ) && $cs_team_designation !='' ) {
						  		echo '<span>'.$cs_team_designation.'</span>';
						 	}
					  	?>
                      <p><?php echo cs_get_the_excerpt($cs_member_excerpt_length,'false','');?></p>
                      <?php 
                        if ( isset($cs_xmlObject->social_media) && is_object($cs_xmlObject) && count($cs_xmlObject->social_media)>0) {?>
                            <div class="sg-socialmedia">
                              <ul>
                                <?php 
                                    foreach ( $cs_xmlObject as $social ){
                                    if ( $social->getName() == "social_media" ) {
                                        $cs_social_title 		= $social->social_title;
                                        $cs_social_icon 		= $social->social_icon;
                                        $cs_url 				= $social->target_url;
                                        ?>
                                        <li><a data-original-title="<?php echo esc_attr( $cs_social_title );?>" href="<?php echo esc_url( $cs_url );?>"><i class="<?php echo esc_attr( $cs_social_icon );?>"></i></a></li>
                                    <?php 
                                    }
                                }?>
                             </ul>
                             </div>
                      <?php }?>
                  </div>
              </article>
      		</div>
			<?php 
				endwhile;
			}
		}
		
		
		//======================================================================
		// Team Modern View
		//======================================================================
		public function cs_parallax_view($cs_member_excerpt_length='147',$cs_query = '') { 
			global $post;
			$width 		 = '362';
			$height 	 = '502';
			$title_limit = 1000;
			
				if ( $cs_query->have_posts() ) {
					 while ( $cs_query->have_posts() )  : $cs_query->the_post(); 
					 $thumbnail = cs_get_post_img_src( $post->ID, $width, $height );
			
					$cs_member = get_post_meta(get_the_ID(), "member", true);
					if ( $cs_member <> "" ) {
						$cs_xmlObject = new SimpleXMLElement($cs_member);
						$cs_team_designation = $cs_xmlObject->cs_team_designation;
						
					} else {
						$cs_team_designation = '';
						if(!isset($cs_xmlObject))
							$cs_xmlObject = new stdClass();
					}
					 
		?>
                 <article class="cs-team csteam-parallex">
                    <div class="text">
                        <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                        <?php 
					  		if ( isset( $cs_team_designation ) && $cs_team_designation !='' ) {
									echo '<span>'.$cs_team_designation.'</span>';
							 }
						 ?>
                         <div class="teaminfo">
                             <p><?php echo cs_get_the_excerpt($cs_member_excerpt_length,'false','');?></p>
                             <div class="sg-socialmedia">
                              <ul>
                                <?php 
                                    foreach ( $cs_xmlObject as $social ){
                                    if ( $social->getName() == "social_media" ) {
                                        $cs_social_title 		= $social->social_title;
                                        $cs_social_icon 		= $social->social_icon;
                                        $cs_url 				= $social->target_url;
                                        ?>
                                        <li><a data-original-title="<?php echo esc_attr( $cs_social_title );?>" href="<?php echo esc_url( $cs_url );?>"><i class="<?php echo esc_attr( $cs_social_icon );?>"></i></a></li>
                                    <?php 
                                    }
                                }?>
                             </ul>
                            </div>
                         </div>
                    </div>
                    <figure>
                     <?php if($thumbnail<>''){ ?>
                        <a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title();?>"></a>
                     <?php } 
                        if ( isset($cs_xmlObject->social_media) && is_object($cs_xmlObject) && count($cs_xmlObject->social_media)>0) {?>
                      	<?php }?>
                    </figure>
                </article>
             	
			<?php
				endwhile;
		 	}
        }
		
		
		//======================================================================
		// Team Classic View
		//======================================================================
		public function cs_classic_view() {
			global $post;
			$width 			= '262';
			$height 		= '262';
			$title_limit 	= 1000;
			$thumbnail 		= cs_get_post_img_src( $post->ID, $width, $height );
			
			$cs_member = get_post_meta(get_the_ID(), "member", true);
			if ( $cs_member <> "" ) {
				$cs_xmlObject = new SimpleXMLElement($cs_member);
				$cs_team_designation = $cs_xmlObject->cs_team_designation;
				
			} else {
				$cs_team_designation = '';
				if(!isset($cs_xmlObject))
					$cs_xmlObject = new stdClass();
			}
				
			?>
			<div class="col-md-4">
              	<article class="cs-member member_grid_sh btn-position-bottom">
                  <?php if($thumbnail<>''){ ?>
                       <figure> <a href="<?php the_permalink();?>"><img src="<?php echo esc_url($thumbnail); ?>" alt="<?php the_title(); ?>"></a></figure>
                    <?php } ?>
                  <div class="text">
                      <header>
                          <h2 class="cs-post-title"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                      </header>
                      <?php 
					  		if ( isset( $cs_team_designation ) && $cs_team_designation !='' ) {
						  		echo '<span>'.$cs_team_designation.'</span>';
						 }
					  ?>
                      <?php 
                        if ( isset($cs_xmlObject->social_media) && is_object($cs_xmlObject) && count($cs_xmlObject->social_media)>0) {?>
                             <div class="sg-socialmedia">
                              <ul>
                                <?php 
                                    foreach ( $cs_xmlObject as $social ){
                                    if ( $social->getName() == "social_media" ) {
                                        $cs_social_title 		= $social->social_title;
                                        $cs_social_icon 		= $social->social_icon;
                                        $cs_url 				= $social->target_url;
                                        ?>
                                        <li><a data-original-title="<?php echo esc_attr( $cs_social_title );?>" href="<?php echo esc_url( $cs_url );?>"><i class="<?php echo esc_attr( $cs_social_icon );?>"></i></a></li>
                                    <?php 
                                    }
                                }?>
                             </ul>
                            </div>
                      	<?php }?>
                  </div>
                  <a href="<?php the_permalink();?>" class="Profile-btn"><?php _e('View Profile','pc');?></a>
              </article>
          </div>
		<?php 
		
		}
		
	}
}