<?php
	require_once 'pt_functions.php';

	//adding columns start
    add_filter('manage_class_posts_columns', 'class_columns_add');
	function class_columns_add($columns) {
		$columns['author'] = 'Author';
		return $columns;
	}
    add_action('manage_class_posts_custom_column', 'class_columns');
	function class_columns($name) {
		global $post;
		switch ($name) {
			case 'author':
				echo get_the_author();
				break;
		}
	}
	//adding columns end
	if ( ! function_exists( 'cs_class_register' ) ) {
		function cs_class_register() {
			$labels = array(
				'name' => 'Classes',
				'all_items' => __('Classes','pc'),
				'add_new_item' => 'Add New Class',
				'edit_item' => 'Edit Class',
				'new_item' => 'New Class Item',
				'add_new' => 'Add New Class',
				'view_item' => 'View Class Item',
				'search_items' => 'Search Class',
				'not_found' =>  'Nothing found',
				'not_found_in_trash' => 'Nothing found in Trash',
				'parent_item_colon' => ''
			);
			$args = array(
				'labels' => $labels,
				'public' => true,
				'publicly_queryable' => true,
				'show_ui' => true,
				'query_var' => true,
				'menu_icon' => 'dashicons-book',
				'rewrite' => true,
				'capability_type' => 'post',
				'has_archive' => false,
				'map_meta_cap' => true,
				'hierarchical' => false,
				'menu_position' => null,
				'supports' => array('title','editor','thumbnail','comments')
			); 
			register_post_type( 'class' , $args );
		}
		add_action('init', 'cs_class_register');
	}
	
	// adding cat start
	  $labels = array(
		'name' => 'Class Categories',
		'search_items' => 'Search Class Categories',
		'edit_item' => 'Edit Class Category',
		'update_item' => 'Update Class Category',
		'add_new_item' => 'Add New Category',
		'menu_name' => 'Categories',
	  ); 	
	  register_taxonomy('class-category',array('class'), array(
		'hierarchical' => true,
		'labels' => $labels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'class-category' ),
	  ));
	  		  
	// adding Team meta info start
	add_action( 'add_meta_boxes', 'cs_meta_class_add' );
	function cs_meta_class_add(){
		add_meta_box( 'cs_meta_class', 'Class Options', 'cs_meta_class', 'class', 'normal', 'high' );  
	}
	
	function cs_meta_class( $post ) {
		global $post, $cs_xmlObject;
		$cs_theme_options = get_option('cs_theme_options');
		$cs_builtin_seo_fields = $cs_theme_options['cs_builtin_seo_fields'];
		$cs_header_position = $cs_theme_options['cs_header_position'];
		$cs_class = get_post_meta($post->ID, "class", true);
		if ( $cs_class <> "" ) {
			$cs_xmlObject = new SimpleXMLElement($cs_class);
			$cs_class_size = $cs_xmlObject->cs_class_size;
			$cs_class_start_time = $cs_xmlObject->cs_class_start_time;
			$cs_class_end_time = $cs_xmlObject->cs_class_end_time;
			$cs_class_age_limit = $cs_xmlObject->cs_class_age_limit;
			$cs_class_price = $cs_xmlObject->cs_class_price;
			$cs_class_enrol_link = $cs_xmlObject->cs_class_enrol_link;
			$cs_class_faqs_title = $cs_xmlObject->cs_class_faqs_title;
			$cs_class_pattrens_title = $cs_xmlObject->cs_class_pattrens_title;
			$cs_class_faqs_sub_title = $cs_xmlObject->cs_class_faqs_sub_title;
			$cs_class_pattrens_sub_title = $cs_xmlObject->cs_class_pattrens_sub_title;
			$cs_class_teachers = explode(",", $cs_xmlObject->cs_class_teachers);
			
		} else {
			$cs_class_size = '';
			$cs_class_start_time = '';
			$cs_class_end_time = '';
			$cs_class_faqs_title = 'Question and Answers';
			$cs_class_pattrens_title = 'Pattrens';
			$cs_class_faqs_sub_title = '';
			$cs_class_pattrens_sub_title = '';
			$cs_class_age_limit = $cs_class_price = $cs_class_enrol_link = $cs_class_teachers = '';
		
			if(!isset($cs_xmlObject))
				$cs_xmlObject = new stdClass();
		}
				cs_enqueue_timepicker_script();
		?>	
        
		<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
			<div class="option-sec" style="margin-bottom:0;">
				<div class="opt-conts">
					<div class="elementhidden">
						<div class="tabs vertical">
							<nav class="admin-navigtion">
								<ul id="myTab" class="nav nav-tabs">
									<li><a href="#tab-subheader-options" data-toggle="tab"><i class="icon-indent"></i><?php _e('Sub Header','pc'); ?></a></li>
									<?php if($cs_header_position == 'absolute'){?>
                 						<li><a href="#tab-header-position-settings" data-toggle="tab"><i class="icon-forward"></i><?php _e('Header Absolute','pc'); ?></a></li>
                 					<?php }?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<li><a href="#tab-seo-advance-settings" data-toggle="tab"><i class="icon-dribbble"></i><?php _e('SEO Options','pc'); ?></a></li>
									<?php }?>
                                    <li class="active"><a data-toggle="tab" href="#tab-class-settings-cs-teams"><i class="icon-user"></i><?php _e('Class Options','pc'); ?></a></li>
                                    <li><a data-toggle="tab" href="#tab-faq"><i class="icon-question4"></i><?php _e('Questions and Answers','pc'); ?></a></li>
                                    <li><a data-toggle="tab" href="#tab-pattrens"><i class="icon-user"></i><?php _e('Pattrens Options','pc'); ?></a></li>
 							  </ul>
						  </nav>
							<div class="tab-content">
							<div id="tab-subheader-options" class="tab-pane fade">
								<?php cs_subheader_element();?>
							</div>
 							<?php if($cs_builtin_seo_fields == 'on'){?>
							<div id="tab-seo-advance-settings" class="tab-pane fade">
								<?php cs_seo_settitngs_element();?>
							</div>
							<?php }
                            if($cs_header_position == 'absolute'){?>
                            <div id="tab-header-position-settings" class="tab-pane fade">
                                 <?php cs_header_postition_element();?>
                            </div>
                            <?php } ?>
                            <div id="tab-class-settings-cs-teams" class="tab-pane fade active in">
                                <div class="clear"></div>
                                
                                <script>
									 jQuery(function(){
									 jQuery('#cs_class_start_time').datetimepicker({
									  datepicker:false,
											format:'H:i',
											formatTime: 'H:i',
											step:30,
									  onShow:function( at ){
									   this.setOptions({
										maxTime:jQuery('#cs_class_end_time').val()?jQuery('#cs_class_end_time').val():false
									   })
									  }
									 });
									 jQuery('#cs_class_end_time').datetimepicker({
										datepicker:false,
											format:'H:i',
											formatTime: 'H:i',
											step:30,
									  onShow:function( at ){
									   this.setOptions({
										minTime:jQuery('#cs_class_start_time').val()?jQuery('#cs_class_start_time').val():false
									   })
									  }
									 });

									});
								</script>
                                
                                <ul class="form-elements match-day bcmatch_title">
                                <?php if ( function_exists( 'cs_class_post_general_options' ) ) {cs_class_post_general_options();}?>
                                  <li class="to-label">
                                    <label>Class Time</label>
                                  </li>
                                  <li class="to-field">
                                    <div id="match_time">
                                      <div class="input-sec">
                                        <input id="cs_class_start_time" name="cs_class_start_time" value="<?php if(isset($cs_xmlObject->cs_class_start_time)){echo esc_attr($cs_xmlObject->cs_class_start_time);} else { echo date('H:i');}?>" type="text" class="vsmall" />
                                        <label class="first-label">Start time</label>
                                      </div>
                                      <!--<span class="short">To</span>-->
                                      <div class="input-sec">
                                        <input id="cs_class_end_time" name="cs_class_end_time" value="<?php if(isset($cs_xmlObject->cs_class_end_time)){echo esc_attr($cs_xmlObject->cs_class_end_time);} else { echo date('H:i');}?>" type="text" class="vsmall"  />
                                        <label class="sec-label">End time</label>
                                      </div>
                                    </div>
                                  </li>
                                </ul>
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Class Size', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_size" name="cs_class_size" value="<?php if(isset($cs_class_size) && $cs_class_size <> '') echo cs_allow_special_char($cs_class_size)?>" />
                                  </li>
                                </ul>
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Age Limit', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_age_limit" name="cs_class_age_limit" value="<?php if(isset($cs_class_age_limit) && $cs_class_age_limit <> '') echo cs_allow_special_char($cs_class_age_limit)?>" />
                                  </li>
                                </ul>
                                
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Fees', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_price" name="cs_class_price" value="<?php if(isset($cs_class_price) && $cs_class_price <> '') echo cs_allow_special_char($cs_class_price)?>" />
                                  </li>
                                </ul>
                                
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label>Teachers</label>
                                  </li>
                                  <li class="to-field">
                                    <select name="cs_class_teachers[]" multiple="multiple" class="multiselect" style="min-height:100px;">
                                      <?php 
									  $custom_query = new WP_Query('post_type=team&posts_per_page=-1');
									  while ( $custom_query->have_posts()) : $custom_query->the_post();
									  		$selected = in_array(get_the_ID(),$cs_class_teachers)?'selected':'';
									  		echo '<option '.$selected.' value="'.get_the_ID().'">'.get_the_title().'</option>';
									  endwhile;
                                     ?>
                                    </select>
                                  </li>
                                </ul>
                                
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Enrolment Link', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_enrol_link" name="cs_class_enrol_link" value="<?php if(isset($cs_class_enrol_link) && $cs_class_enrol_link <> '') echo cs_allow_special_char($cs_class_enrol_link)?>" />
                                  </li>
                                </ul>
                                
                            </div>
                            <div id="tab-faq" class="tab-pane fade">
                            <!-- Class faq Start-->
                             	<ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Section Title', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_faqs_title" name="cs_class_faqs_title" value="<?php if(isset($cs_class_faqs_title) && $cs_class_faqs_title <> '') echo cs_allow_special_char($cs_class_faqs_title)?>" />
                                  </li>
                                </ul> 
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Sub Title', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_faqs_sub_title" name="cs_class_faqs_sub_title" value="<?php if(isset($cs_class_faqs_sub_title) && $cs_class_faqs_sub_title <> '') echo cs_allow_special_char($cs_class_faqs_sub_title)?>" />
                                  </li>
                                </ul> 
                            	<?php cs_class_faq_section(); ?>
                                                
                            <!-- Class faq End-->
                            </div>
                            
                            <div id="tab-pattrens" class="tab-pane fade">
                            <!-- Class faq Start-->
                             	<ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Section Title', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_pattrens_title" name="cs_class_pattrens_title" value="<?php if(isset($cs_class_pattrens_title) && $cs_class_pattrens_title <> '') echo cs_allow_special_char($cs_class_pattrens_title)?>" />
                                  </li>
                                </ul> 
                                <ul class="form-elements">
                                  <li class="to-label">
                                    <label><?php _e('Sub Title', 'pc'); ?></label>
                                  </li>
                                  <li class="to-field short-field">
                                    <input type="text" id="cs_class_pattrens_sub_title" name="cs_class_pattrens_sub_title" value="<?php if(isset($cs_class_pattrens_sub_title) && $cs_class_pattrens_sub_title <> '') echo cs_allow_special_char($cs_class_pattrens_sub_title)?>" />
                                  </li>
                                </ul> 
                            	<?php cs_class_pattrens_section(); ?>
                                                
                            <!-- Class faq End-->
                            </div>
                            
 						  </div>
						</div>
					  </div>
					</div>
				<input type="hidden" name="csteam_class_form" value="1" />
			</div>
		</div>
		<div class="clear"></div>
	<?php 
    }
 	// Course Meta option save
	if ( isset($_POST['csteam_class_form']) and $_POST['csteam_class_form'] == 1 ) {
		add_action( 'save_post', 'cs_class_team_save' );  
		function cs_class_team_save( $post_id ){  
			$sxe = new SimpleXMLElement("<class></class>");
			if (empty($_POST['cs_class_size'])){ $_POST['cs_class_size'] = '';}
			if (empty($_POST['cs_class_start_time'])){ $_POST['cs_class_start_time'] = '';}
			if (empty($_POST['cs_class_end_time'])){ $_POST['cs_class_end_time'] = '';}
			if (empty($_POST['cs_class_age_limit'])){ $_POST['cs_class_age_limit'] = '';}
			if (empty($_POST['cs_class_price'])){ $_POST['cs_class_price'] = '';}
			if (empty($_POST['cs_class_enrol_link'])){ $_POST['cs_class_enrol_link'] = '';}
			if (empty($_POST["inside_post_thumb_view"])){ $_POST["inside_post_thumb_view"] = "";}
			if (empty($_POST["inside_post_thumb_slider"])){ $_POST["inside_post_thumb_slider"] = "";}
			if (empty($_POST["inside_post_thumb_slider_type"])){ $_POST["inside_post_thumb_slider_type"] = "";}
			if (empty($_POST['cs_class_faqs_title'])){ $_POST['cs_class_faqs_title'] = '';}
			if (empty($_POST['cs_class_pattrens_title'])){ $_POST['cs_class_pattrens_title'] = '';}
			if (empty($_POST['cs_class_faqs_sub_title'])){ $_POST['cs_class_faqs_sub_title'] = '';}
			if (empty($_POST['cs_class_pattrens_sub_title'])){ $_POST['cs_class_pattrens_sub_title'] = '';}
			
			if (empty($_POST['cs_class_teachers'])){
				 $cs_class_teachers = "";
			} else {
				$cs_class_teachers = implode(",", $_POST['cs_class_teachers']);
			}
			
			$sxe->addChild('inside_post_thumb_view', $_POST['inside_post_thumb_view'] );
 			$sxe->addChild('inside_post_thumb_slider', $_POST['inside_post_thumb_slider'] );
			$sxe->addChild('inside_post_thumb_slider_type', $_POST['inside_post_thumb_slider_type'] );
			$sxe->addChild('cs_class_size', $_POST['cs_class_size']);
			$sxe->addChild('cs_class_enrol_link', $_POST['cs_class_enrol_link']);
			$sxe->addChild('cs_class_price', $_POST['cs_class_price']);
			$sxe->addChild('cs_class_teachers', $cs_class_teachers);
			$sxe->addChild('cs_class_start_time', $_POST['cs_class_start_time']);
			$sxe->addChild('cs_class_end_time', htmlspecialchars($_POST['cs_class_end_time']));
			$sxe->addChild('cs_class_age_limit', htmlspecialchars($_POST['cs_class_age_limit']));
			$sxe->addChild('cs_class_faqs_title', htmlspecialchars($_POST['cs_class_faqs_title']));
			$sxe->addChild('cs_class_pattrens_title', htmlspecialchars($_POST['cs_class_pattrens_title']));
			$sxe->addChild('cs_class_faqs_sub_title', htmlspecialchars($_POST['cs_class_faqs_sub_title']));
			$sxe->addChild('cs_class_pattrens_sub_title', htmlspecialchars($_POST['cs_class_pattrens_sub_title']));
			if ( isset($_POST['gallery_meta_form']) and $_POST['gallery_meta_form'] == 1 ) {
						$cs_counter = 0;
							if ( isset($_POST['path']) ) {
								foreach ( $_POST['path'] as $count ) {
										if (empty($_POST['path'][$cs_counter])){ $_POST['path'][$cs_counter] = "";}
										if (empty($_POST['title'][$cs_counter])){ $_POST['title'][$cs_counter] = "";}
										if (empty($_POST['use_image_as'][$cs_counter])){ $_POST['use_image_as'][$cs_counter] = "";}
										if (empty($_POST['video_code'][$cs_counter])){ $_POST['video_code'][$cs_counter] = "";}
										if (empty($_POST['link_url'][$cs_counter])){ $_POST['link_url'][$cs_counter] = "";}
										$gallery = $sxe->addChild('gallery');
										$gallery->addChild('path', $_POST['path'][$cs_counter] );
										$gallery->addChild('title', htmlspecialchars($_POST['title'][$cs_counter]) );
										$gallery->addChild('use_image_as', $_POST['use_image_as'][$cs_counter] );
										$gallery->addChild('video_code', htmlspecialchars($_POST['video_code'][$cs_counter]) );
										$gallery->addChild('link_url', htmlspecialchars($_POST['link_url'][$cs_counter]) );
										$cs_counter++;
								}
							}
						}
			if ( isset($_POST['gallery_slider_meta_form']) and $_POST['gallery_slider_meta_form'] == 1 ) {
						$cs_counter = 0;
							if ( isset($_POST['cs_slider_path']) ) {
								
								
								foreach ( $_POST['cs_slider_path'] as $count ) {
										if (empty($_POST['cs_slider_path'][$cs_counter])){ $_POST['cs_slider_path'][$cs_counter] = "";}
										if (empty($_POST['cs_slider_title'][$cs_counter])){ $_POST['cs_slider_title'][$cs_counter] = "";}
										if (empty($_POST['slider_use_image_as'][$cs_counter])){ $_POST['slider_use_image_as'][$cs_counter] = "";}
										if (empty($_POST['slider_video_code'][$cs_counter])){ $_POST['slider_video_code'][$cs_counter] = "";}
										if (empty($_POST['cs_slider_link'][$cs_counter])){ $_POST['cs_slider_link'][$cs_counter] = "";}
										$galleryInside = $sxe->addChild('gallery_slider');
										
										$galleryInside->addChild('cs_slider_path', $_POST['cs_slider_path'][$cs_counter] );
										$galleryInside->addChild('cs_slider_title', htmlspecialchars($_POST['cs_slider_title'][$cs_counter]) );
										$galleryInside->addChild('slider_use_image_as', $_POST['slider_use_image_as'][$cs_counter] );
										$galleryInside->addChild('slider_video_code', htmlspecialchars($_POST['slider_video_code'][$cs_counter]) );
										$galleryInside->addChild('cs_slider_link', htmlspecialchars($_POST['cs_slider_link'][$cs_counter]) );
										$cs_counter++;
								}
							}
						}
			
			$faq_counter = 0;
			if (isset($_POST['dynamic_post_faq']) && $_POST['dynamic_post_faq'] == '1' && isset($_POST['faq_title_array']) && is_array($_POST['faq_title_array'])) {
				foreach ( $_POST['faq_title_array'] as $type ){
					$faq_list = $sxe->addChild('faqs');
					$faq_list->addChild('faq_title', htmlspecialchars($_POST['faq_title_array'][$faq_counter]) );
					$faq_list->addChild('faq_description', htmlspecialchars($_POST['faq_description_array'][$faq_counter]) );
					$faq_counter++;
				}
			}
			
			$pattren_counter = 0;
			if (isset($_POST['dynamic_post_pattren']) && $_POST['dynamic_post_pattren'] == '1' && isset($_POST['pattren_title_array']) && is_array($_POST['pattren_title_array']) && is_array($_POST['pattren_icon_array'])) {
				foreach ( $_POST['pattren_title_array'] as $type ){
					$pattren_list = $sxe->addChild('pattrens');
					$pattren_list->addChild('pattren_title', htmlspecialchars($_POST['pattren_title_array'][$pattren_counter]) );
					$pattren_list->addChild('pattren_icon', htmlspecialchars($_POST['pattren_icon_array'][$pattren_counter]) );
					$pattren_list->addChild('pattren_description', htmlspecialchars($_POST['pattren_description_array'][$pattren_counter]) );
					$pattren_counter++;
				}
			}
						
			$sxe = cs_page_options_save_xml($sxe);
			
			update_post_meta( $post_id, 'class', $sxe->asXML() );
	
		}
	}
			if ( ! function_exists( 'cs_class_post_general_options' ) ) {
				function cs_class_post_general_options() {
					global $cs_xmlObject;
 					if ( empty($cs_xmlObject->inside_post_thumb_view) ) $inside_post_thumb_view = ""; else $inside_post_thumb_view = $cs_xmlObject->inside_post_thumb_view;
					 
					if ( empty($cs_xmlObject->inside_post_thumb_slider) ) $inside_post_thumb_slider = ""; else $inside_post_thumb_slider = $cs_xmlObject->inside_post_thumb_slider;
					if ( empty($cs_xmlObject->inside_post_thumb_slider_type) ) $inside_post_thumb_slider_type = ""; else $inside_post_thumb_slider_type = $cs_xmlObject->inside_post_thumb_slider_type;
					?>
              
                    
                    <ul class="form-elements noborder">
                        <li class="to-label"><label>Inside Post View</label></li>
                        <li class="to-field">
                            <div class="input-sec">
                                <div class="select-style">
                                    <select name="inside_post_thumb_view" class="dropdown" onchange="javascript:new_toggle_inside_post(this.value)">
                                        <option <?php if($inside_post_thumb_view=="Single Image")echo "selected";?> >Single Image</option>
                                         <option <?php if($inside_post_thumb_view=="Slider")echo "selected";?> >Slider</option>
                                    </select>
                                </div>
                            </div>
                            <div class="left-info">
                                <p id="inside_post_thumb_image" style="display:<?php if($inside_post_thumb_view=="Single Image" or $inside_post_thumb_view=="")echo 'inline"';else echo 'none';?>">Use Featured Image as Thumbnail</p>
                            </div>
                        </li>
                            
                            
                    </ul>
                    <div class="" id="inside_post_thumb_slider" style="display:<?php if($inside_post_thumb_view=="Slider") echo 'inline';else echo 'none';?>" >
                         <?php echo cs_post_attachments('gallery_slider_meta_form');?>
                    </div>
    <?php
	
	}
}
		// adding Team meta info end