<?php
	require_once 'pt_functions.php';

	//adding columns start
    add_filter('manage_timetable_posts_columns', 'timetable_columns_add');
	function timetable_columns_add($columns) {
		$columns['author'] = 'Author';
		return $columns;
	}
    add_action('manage_timetable_posts_custom_column', 'timetable_columns');
	function timetable_columns($name) {
		global $post;
		switch ($name) {
			case 'author':
				echo get_the_author();
				break;
		}
	}
	//adding columns end
	if ( ! function_exists( 'cs_timetable_register' ) ) {
		function cs_timetable_register() {
			$labels = array(
				'name' => 'Timetables',
				'all_items' => __('Timetables','pc'),
				'add_new_item' => 'Add New Timetable',
				'edit_item' => 'Edit Timetable',
				'new_item' => 'New Timetable Item',
				'add_new' => 'Add New Timetable',
				'view_item' => 'View Timetable Item',
				'search_items' => 'Search Timetable',
				'not_found' =>  'Nothing found',
				'not_found_in_trash' => 'Nothing found in Trash',
				'parent_item_colon' => ''
			);
			$args = array(
				'labels' => $labels,
				'public' => true,
				'publicly_queryable' => true,
				'show_ui' => true,
				'query_var' => true,
				'menu_icon' => 'dashicons-book',
				'show_in_menu' => 'edit.php?post_type=class',
				'rewrite' => true,
				'capability_type' => 'post',
				'has_archive' => false,
				'map_meta_cap' => true,
				'hierarchical' => false,
				'menu_position' => null,
				'supports' => array('title')
			); 
			register_post_type( 'timetable' , $args );
		}
		add_action('init', 'cs_timetable_register');
	}
	
	  		  
	// adding Team meta info start
	add_action( 'add_meta_boxes', 'cs_meta_timetable_add' );
	function cs_meta_timetable_add(){
		add_meta_box( 'cs_meta_timetable', 'Timetable Options', 'cs_meta_timetable', 'timetable', 'normal', 'high' );  
	}
	
	function getTimeDiff($dtime,$atime){
		$nextDay=$dtime>$atime?1:0;
		$dep=explode(':',$dtime);
		$arr=explode(':',$atime);
		$diff=abs(mktime($dep[0],$dep[1],0,date('n'),date('j'),date('y'))-mktime($arr[0],$arr[1],0,date('n'),date('j')+$nextDay,date('y')));
		$hours=floor($diff/(60*60));
		$mins=floor(($diff-($hours*60*60))/(60));
		$secs=floor(($diff-(($hours*60*60)+($mins*60))));
		if(strlen($hours)<2){$hours="0".$hours;}
		if(strlen($mins)<2){$mins="0".$mins;}
		if(strlen($secs)<2){$secs="0".$secs;}
		return $hours.':'.$mins.':'.$secs;
	}
		
	function cs_meta_timetable( $post ) {
		global $post, $cs_xmlObject;
		$cs_theme_options = get_option('cs_theme_options');
		$cs_builtin_seo_fields = $cs_theme_options['cs_builtin_seo_fields'];
		$cs_header_position = $cs_theme_options['cs_header_position'];
		$cs_timetable = get_post_meta($post->ID, "timetable", true);
		if ( $cs_timetable <> "" ) {
			$cs_xmlObject = new SimpleXMLElement($cs_timetable);
			$var_cp_timetable_class = $cs_xmlObject->var_cp_timetable_class;
			
		} else {
			$var_cp_timetable_class = '';
			$var_cp_timetable_start_time= '';
			$var_cp_timetable_end_time ='';
	
			if(!isset($cs_xmlObject))
				$cs_xmlObject = new stdClass();
		}
		?>	
        
		<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
			<div class="option-sec" style="margin-bottom:0;">
				<div class="opt-conts">
					<div class="elementhidden">
						<div class="tabs vertical">
							<nav class="admin-navigtion">
								<ul id="myTab" class="nav nav-tabs">
									<li><a href="#tab-subheader-options" data-toggle="tab"><i class="icon-indent"></i><?php _e('Sub Header','pc'); ?></a></li>
									<?php if($cs_header_position == 'absolute'){?>
                 						<li><a href="#tab-header-position-settings" data-toggle="tab"><i class="icon-forward"></i><?php _e('Header Absolute','pc'); ?></a></li>
                 					<?php }?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<li><a href="#tab-seo-advance-settings" data-toggle="tab"><i class="icon-dribbble"></i><?php _e('SEO Options','pc'); ?></a></li>
									<?php }?>
                                    <li class="active"><a data-toggle="tab" href="#tab-timetable-settings-cs-teams"><i class="icon-user"></i><?php _e('Timetable Options','pc'); ?></a></li>
 							  </ul>
						  </nav>
							<div class="tab-content">
							<div id="tab-subheader-options" class="tab-pane fade">
								<?php cs_subheader_element();?>
							</div>
 							<?php if($cs_builtin_seo_fields == 'on'){?>
							<div id="tab-seo-advance-settings" class="tab-pane fade">
								<?php cs_seo_settitngs_element();?>
							</div>
							<?php }
                            if($cs_header_position == 'absolute'){?>
                            <div id="tab-header-position-settings" class="tab-pane fade">
                                 <?php cs_header_postition_element();?>
                            </div>
                            <?php } ?>
                            <div id="tab-timetable-settings-cs-teams" class="tab-pane fade active in">
                                <div class="clear"></div>
                                <?php
								$days_default = array(__('Monday', 'pc'), __('Tuesday', 'pc'), __('Wednesday', 'pc'),__('Thursday', 'pc'),__('Friday', 'pc'),__('Saturday', 'pc') ,__('Sunday', 'pc'));
								$days=array();
								
								foreach($days_default as $ds){
									$days[] = $ds;
								}
								if(count($days)<1){
									$days = $days_default;
								}
								$timetable_id = $post->ID;
								?>
                                <div class="page-wrap page-opts left" style="overflow:hidden; position:relative;">
                                	<link rel="stylesheet" href="<?php echo get_template_directory_uri()?>/assets/css/bootstrap.min.css">
                                    <link rel="stylesheet" href="<?php echo get_template_directory_uri()?>/include/assets/css/bootstrap-timepicker.min.css">
                                    <script type="text/javascript" src="<?php echo get_template_directory_uri()?>/include/assets/scripts/bootstrap-timepicker.js"></script>
                                    
                                    <script type="text/javascript">
                                        jQuery(function($) {
                                            
                                            jQuery('#var_cp_timetable_start_time').timepicker({
                                                        showInputs: false,
                                                        disableFocus: false,
                                                        modalBackdrop: true,
                                                        minuteStep:'60',
                                                        showSeconds: false,
                                                        disableMousewheel: false,
                                                        showMeridian: false
                                        });
                                        jQuery('#var_cp_timetable_end_time').timepicker({
                                                        showInputs: false,
                                                        disableFocus: false,
                                                        modalBackdrop: true,
                                                        minuteStep:'60',
                                                        showSeconds: false,
                                                        disableMousewheel: false,
                                                        showMeridian: false
                                        });
                                        });
                                        jQuery(document).ready(function($) {
                                            
											var trlength = jQuery(".timetable tbody tr").length
											 jQuery('.timetable tr').each(function(){
											  var a = jQuery(this).find('td.empty').length;
											  if (a == 7) {
											  	jQuery(this).hide()
											  }
											 });
                                        });
                                        function cs_class_selected_value(class_value){
                                            jQuery('#var_cp_timetable_class_value').val(class_value);
                                        }
                            
                                    </script>
                                    <div class="boxes tracklists">
                                             <ul class="form-elements">
                                                    <li class="to-label"><label>Select Class Name</label></li>
                                                    <li class="to-field select-style">
                                                        <select name="var_cp_timetable_class_value" id="var_cp_timetable_class_value" class="dropdown">
                                                            <?php
                                                                query_posts( array('posts_per_page' => "-1", 'post_status' => 'publish', 'post_type' => 'class') );
																while ( have_posts()) : the_post();
																?>
																	<option <?php if (get_the_ID() == $var_cp_timetable_class) { echo 'selected="selected"';}?> value="<?php the_ID()?>"><?php the_title()?></option>
																<?php
																endwhile;
                                                            ?>
                                                        </select>
                                                    </li>
                                                </ul>
                                                <ul class="form-elements">
                                                    <li class="to-label"><label>Days</label></li>
                                                    <li class="to-field select-style">
                                                    <select name="var_cp_timetable_day" id="var_cp_timetable_day"  class="dropdown">
                                                        <?php foreach($days as $cs_day){?>
                                                            <option value="<?php echo esc_attr($cs_day);?>" ><?php echo esc_attr($cs_day);?></option>
                                                        <?php }?>
                                                    </select>
                                                    </li>
                                                </ul>
                                                <ul class="form-elements">
                                                    <li class="to-label"><label>Start time</label></li>
                                                    <li class="to-field">
                                                     <div class="input-append bootstrap-timepicker">
                                                                <input id="var_cp_timetable_start_time" name="var_cp_timetable_start_time" data-format="hh:mm:ss" value="" type="text" class="vsmall" />
                                                                <span class="add-on"><i class="icon icon-time"></i></span>
                                                            </div>
                                                    </li>
                                                </ul>
                                                
                                                
                                                <ul class="form-elements">
                                                    <li class="to-label"><label>End time</label></li>
                                                    <li class="to-field">
                                                     <div class="input-append bootstrap-timepicker">
                                                                <input id="var_cp_timetable_end_time" name="var_cp_timetable_end_time" value=""  type="text" class="vsmall"  />
                                                                <span class="add-on"><i class="icon icon-time"></i></span>
                                                            </div>
                                                    </li>
                                                </ul>
                                                <ul class="form-elements noborder">
                                                    <li class="to-label"></li>
                                                    <li class="to-field"><input type="button" value="Add Time to Timetable" onclick="cs_add_time_to_list('<?php echo admin_url()?>', '<?php echo get_template_directory_uri()?>')" /></li>
                                                </ul>
                                    
                                            
                                            <script>
                                                jQuery(document).ready(function($) {
                                                    $("#total_tracks").sortable({
                                                        cancel : 'td div.poped-up',
                                                    });
                                                });
                                            </script>
                                          
                                            
                                        </div>
                                       <input type="hidden" name="timetable_meta_form" value="1" />
                                        <div class="clear"></div>
                                        <ul class="form-elements">
                                                <li>
                                                <div class="timetable-wrapper" id="timetable-wrapper-ajax">
                                                <?php 
                                                 
                                                    global $counter_time, $var_cp_timetable_class, $var_cp_timetable_day , $var_cp_timetable_start_time,$var_cp_timetable_end_time;
                                                    
                                                    $hours = array("00:00","01:00","02:00","03:00","04:00","05:00","06:00","07:00","08:00","09:00","10:00","11:00","12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","20:00","21:00","22:00","23:00");
                                                     $hour_row_span = '';
                                                     $rowspan  = ''; // number of rows to cover( time difference)
                                                      $row  = ''; // starting from row number
                                                      $col  = '';
                        
                                                    $hour_index = 0;
                                                    $day_index = 0;
                                                    $next_hour = '';
                                                    $nexsundayhour= '';
                                                    $next_hour_timestamp = $current_hour_timestamp = '';
                        
                                                    $hour_index = 0;
                                                    $hours_array = array();
                                                    $next_day = '';
                                                    $tablestyle = "";
                                                    if(!isset($cs_xmlObject->time)){
                                                        $tablestyle = "display: none;";
                                                    }
                                                    $sunday_timetable = $Monday_timetable = $Tuesday_timetable = $Wednesday_timetable = $Thursday_timetable = $Friday_timetable = '';
                                                    //Then echo the table headers
                                                    echo "<div class='timetablesec fullwidth' id='tab1'><table id='timetable' style='background-color: #fff; ".$tablestyle."' class='timetable table'><thead><th>Time</th>";
                                                    foreach($days as $day_no){
                                                        echo "<th id='".$day_no."' data-id='".$day_no."'>".$day_no."</th>";
                                                    }
                                                    echo "</thead><tbody>";
                                                    $hour_index = 0;
                                                    $day_index = 0;
                                                    $next_hour = '';
                                                    $nexsundayhour= '';
                                                    $exist_cell_value = array();
                                                    $next_hour_timestamp = $current_hour_timestamp = '';
                                                    $next_hour_td_remove = 'No';
                                                    $current_td_value = '';
                                                    foreach($hours as $h){
                                                        $hour_index++;
                                                        $current_hour_timestamp = strtotime($h);
                                                    if(isset($hours[$hour_index])){
                                                        $next_hour = $hours[$hour_index];
                                                        $next_hour_timestamp = strtotime($next_hour);
                                                    }
                                                    if($h == $next_hour){
                                                        $next_hour = '00:00';
                                                    }
                                                    //start the row
                                                    $alread_add_time = '';
                                                      echo "<tr id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour)."'><td>".$h.' - '.$next_hour."</td>";
                                                      $table_day= $days[$day_index];
                                                        $day_index++;
                                                        if($day_index>6){
                                                            $day_index = 0;
                                                        }
                                                        $td_skip_value = '';
                                                        //$day_index = 0;
                                                        $skip_td = '';
                                                        $find_hour_value = 0;
                                                            $find_cell_value = '';
                                                            $coutner_days = 0;
                                                        //now loop through your array and check hour and day, and display
                                                        if(isset($cs_xmlObject->time)){
                                                            $find_hour_value = 0;
                                                            $find_cell_value = '';
                                                            $coutner_days = 0;
                                                            $next_hour_td_remove = 'no';
                                                            foreach($days as $day_no){
                                                                $td_id = 'row-'.str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no;
                                                                $td_click = 'javascript:cs_table_td_remove("'.$td_id.'")';
                                                                $hour_row = array();
                                                                $find_cell_value = '';
                                                                $current_td_id = str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no;
                        
                                                                $hour_row_span = '';
                                                                $hour_row_span = '';
                                                                $start_hour = '';
                                                                
                                                                $endhour = '';
                                                                $rowspan_counter = 0;
                                                                foreach($cs_xmlObject->time as $time){
                                                                    if($time->var_cp_timetable_day==$day_no){
                                                                        $start_time_compare_array = explode(':', $time->var_cp_timetable_start_time);
                                                                        $start_time_compare = $start_time_compare_array['0'].':00';
                                                                        $end_time_compare_array = explode(':', $time->var_cp_timetable_end_time);
                                                                        if($end_time_compare_array['1']>=30){
                                                                                $end_time_compare = ($end_time_compare_array['0']+01).':00';
                                                                            } else {
                                                                                $end_time_compare = $end_time_compare_array['0'].':00';
                                                                            }
                                                                        
                                                                        if($rowspan_counter>0){
                                                                            if(strtotime($start_time_compare) >= strtotime($start_hour) && strtotime($end_time_compare) > strtotime($endhour) && !empty($start_hour) && !empty($endhour) && $endhour <> '' && $start_hour <> '' && strtotime($start_time_compare) < strtotime($endhour)){
                                                                                    if(empty($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                }
                                                                                if(strtotime($start_time_compare) < strtotime($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                }
                                                                                if(empty($endhour)){
                                                                                    $endhour = $end_time_compare;
                                                                                }
                                                                                if(strtotime($end_time_compare) > strtotime($endhour)){
                                                                                    $endhour = $end_time_compare;
                                                                                }
                                                                                $find_cell_value = strtotime($start_time_compare).strtotime($end_time_compare).$day_no;
                                                                                
                                                                                $hour_diff =  getTimeDiff($start_hour,$endhour);
                                                                                $hour_row = explode(':', $hour_diff);
                                                                                if(isset($hour_row[1]) && $hour_row[1] <> '00'){
                                                                                    $hour_row_span = $hour_row[0]+1;
                                                                                } else {
                                                                                    $hour_row_span = $hour_row[0];
                                                                                }
                                                                                
                                                                            }
                                                                            
                                                                        } else {
                                                                        
                                                                        
                                                                        if((strtotime($start_time_compare) == $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp)
                                                                        || (strtotime($end_time_compare) > $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp && strtotime($start_time_compare) < $next_hour_timestamp) && (strtotime($start_time_compare) <> strtotime($end_time_compare) && strtotime($start_time_compare) < strtotime($end_time_compare)) || (strtotime($start_time_compare)> strtotime($endhour) &&  $endhour <> '')){
                                                                            
                                                                                $current_td_value=strtotime($start_time_compare).'-'.strtotime($end_time_compare).'-'.$time->var_cp_timetable_day;
                                                                                $rowspan_counter++;
                                                                                if(empty($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                }
                                                                                if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                    
                                                                                }
                                                                                if(empty($endhour)){
                                                                                    $endhour = $end_time_compare;
                                                                                }
                                                                                if(strtotime($end_time_compare) > strtotime($endhour)){
                                                                                    $endhour = $end_time_compare;
                                                                                    
                                                                                }
                                                                                $find_cell_value = strtotime($start_time_compare).strtotime($end_time_compare).$day_no;
                                                                                
                                                                                $hour_diff =  getTimeDiff($start_hour,$endhour);
                                                                                $hour_row = explode(':', $hour_diff);
                                                                                if(isset($hour_row[1]) && $hour_row[1] <> '00'){
                                                                                    $hour_row_span = $hour_row[0]+1;
                                                                                } else {
                                                                                    $hour_row_span = $hour_row[0];
                                                                                }
                                                                        } 
                                                                        }
                                                                        } else {
                                                                                $hour_row_span = '';
                                                                            }
                                                                    }
                                                                if($hour_row_span<2){
                                                                    $hour_row_span = '';
                                                                    $class_rowspan = '';
                                                                } else {
                                                                    if(isset($hour_row['0']))
                                                                         $hour_row_span = $hour_row['0'];
                                                                    $class_rowspan = 'row_span_class';
                                                                }
                                                                $value_exist = 0;
                                                                if(count($exist_cell_value)>0 && $find_cell_value <> ''){
                                                                    foreach($exist_cell_value as $value){
                                                                        if($find_cell_value == $value){
                                                                            
                                                                            $value_exist = 1;	
                                                                        }
                                                                    }
                                                                }
                                                                $rowspan = '';
                                                                if(isset($value_exist) && $value_exist <> '1'){
                                                                        if(isset($hour_row['0']) && count($hour_row['0'])>0){
                                                                            $rowspan = $hour_row['0'];
                                                                        }
                                                                        $class_counter = 0;
                                                                        echo "<td  rowspan='".$rowspan."' class='event-time ".$class_rowspan."' id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no."' data-start='".$start_hour."' data-end='".$endhour."' data-weekday='".$day_no."'>";
                                                                        $start_hour = '';
                                                                        $endhour = '';
                                                                        $check_count = 0;
                                                                        foreach($cs_xmlObject->time as $time){
                                                                            $start_time_compare_array = explode(':', $time->var_cp_timetable_start_time);
                                                                            $start_time_compare = $start_time_compare_array['0'].':00';
                                                                            //$end_time_compare = $time->var_cp_timetable_end_time;
                                                                            $end_time_compare_array = explode(':', $time->var_cp_timetable_end_time);
                                                                            if($end_time_compare_array['1']>30){
                                                                                $end_time_compare = ($end_time_compare_array['0']+01).':00';
                                                                            } else {
                                                                                $end_time_compare = $end_time_compare_array['0'].':00';
                                                                            }
                                                                            //$end_time_compare = $end_time_compare_array['0'].':00';
                                                                            if($class_counter>0){
                                                                                $check_count++;
                                                                                if($time->var_cp_timetable_day==$day_no){
                                                                                    if((strtotime($start_time_compare) >= strtotime($start_hour) && strtotime($end_time_compare) > strtotime($endhour) && !empty($start_hour) && !empty($endhour) && $endhour <> '' && $start_hour <> '' && strtotime($start_time_compare) < strtotime($endhour)) || (strtotime($start_time_compare)>=strtotime($start_hour) && strtotime($end_time_compare) < strtotime($endhour) ) || (strtotime($start_time_compare) >= $current_hour_timestamp && strtotime($end_time_compare) < strtotime($endhour))){
                                                                                    if(empty($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                    }
                                                                                    if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                                                        $start_hour = $start_time_compare;
                                                                                    }
                                                                                    if(empty($endhour)){
                                                                                        $endhour = $end_time_compare;
                                                                                    }
                                                                                    if(strtotime($end_time_compare) > strtotime($endhour)){
                                                                                        $endhour = $end_time_compare;
                                                                                    }
                        
                                                                                    $exist_cell_value[] = strtotime($start_time_compare).strtotime($end_time_compare).$time->var_cp_timetable_day;
                                                                                    $class_counter++;
                                                                                    echo '<div id="'.$td_id.$class_counter.'">';
                        
                                                                                    echo "<a>".get_the_title((int) $time->var_cp_timetable_class_value). "</a>".$hour_row_span.'-'.$time->var_cp_timetable_day.$time->var_cp_timetable_start_time.' to '.$time->var_cp_timetable_end_time;
                                                                                    echo '<a href="javascript:cs_table_td_remove('."'".$td_id.$class_counter."'".')" class="actions delete">&nbsp;X</a>';
                                                                                        echo "<input type='hidden' name='var_cp_timetable_class_value[]' value='".$time->var_cp_timetable_class_value."'><input type='hidden' name='var_cp_timetable_day[]' value='".$time->var_cp_timetable_day."'><input type='hidden' name='var_cp_timetable_start_time[]' value='".$time->var_cp_timetable_start_time."'><input type='hidden' name='var_cp_timetable_end_time[]' value='".$time->var_cp_timetable_end_time."'>";
                                                                                        echo '</div>';
                                                                                }
                                                                                }
                                                                                
                                                                            } else {
                                                                            
                                                                            if((strtotime($start_time_compare) == $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp)
                                                                        || (strtotime($end_time_compare) > $current_hour_timestamp && strtotime($start_time_compare)<= $next_hour_timestamp && strtotime($start_time_compare) < $next_hour_timestamp) && (strtotime($start_time_compare) <> strtotime($end_time_compare) && strtotime($start_time_compare) < strtotime($end_time_compare)) || (strtotime($start_time_compare)> strtotime($endhour) &&  $endhour <> '')){
                                                                                if($time->var_cp_timetable_day==$day_no){
                                                                                    $check_count++;
                                                                                    if(empty($start_hour)){
                                                                                    $start_hour = $start_time_compare;
                                                                                    }
                                                                                    if(strtotime($start_time_compare) > strtotime($start_hour)){
                                                                                        $start_hour = $start_time_compare;
                                                                                        
                                                                                    }
                                                                                    if(empty($endhour)){
                                                                                        $endhour = $end_time_compare;
                                                                                    }
                                                                                    if(strtotime($end_time_compare) > strtotime($endhour)){
                                                                                        $endhour = $end_time_compare;
                                                                                        
                                                                                    }
                                                                                    
                                                                                    $exist_cell_value[] = strtotime($start_time_compare).strtotime($end_time_compare).$time->var_cp_timetable_day;
                                                                                    $class_counter++;
                                                                                    echo '<div id="'.$td_id.$class_counter.'">';
                                                                                    echo "<a>".get_the_title((int) $time->var_cp_timetable_class_value)."</a>".$hour_row_span.'-'.$time->var_cp_timetable_day.$time->var_cp_timetable_start_time.' to '.$time->var_cp_timetable_end_time;
                                                                                    echo '<a href="javascript:cs_table_td_remove('."'".$td_id.$class_counter."'".')" class="actions delete">&nbsp;X</a>';
                                                                                        echo "<input type='hidden' name='var_cp_timetable_class_value[]' value='".$time->var_cp_timetable_class_value."'><input type='hidden' name='var_cp_timetable_day[]' value='".$time->var_cp_timetable_day."'><input type='hidden' name='var_cp_timetable_start_time[]' value='".$time->var_cp_timetable_start_time."'><input type='hidden' name='var_cp_timetable_end_time[]' value='".$time->var_cp_timetable_end_time."'>";
                                                                                        echo '</div>';
                                                                                }
                                                                        } 
                                                                            }
                                                                    
                                                                    }
                                                                    $find_cell_value = '';
                                                                    echo "</td>";
                                                                }
                                                            }
                                                        } else {
                                                            foreach($days as $day_no){
                                                                echo "<td class='event-time' id='row-".str_replace(":","",$h).'-'.str_replace(":","",$next_hour).'-'.$day_no."'></td>";
                                                            }
                                                        }
                                                       echo "</tr>";
                                                     }
                                                     echo "</tbody></table></div>";
                                                     
                                                ?>
                                                </div>
                                            </li>
                                         </ul>
                                    </div>
                                
                            </div>
                            
 						  </div>
						</div>
					  </div>
					</div>
				<input type="hidden" name="csteam_timetable_form" value="1" />
			</div>
		</div>
		<div class="clear"></div>
	<?php 
    }
 	// Course Meta option save
	if ( isset($_POST['csteam_timetable_form']) and $_POST['csteam_timetable_form'] == 1 ) {
		add_action( 'save_post', 'cs_timetable_team_save' );  
		function cs_timetable_team_save( $post_id ){  
			$sxe = new SimpleXMLElement("<timetable></timetable>");
			if ( isset($_POST['var_cp_timetable_class_value']) ) {
				$counter = 0;
				foreach ( $_POST['var_cp_timetable_class_value'] as $count ){
						$track = $sxe->addChild('time');
						$track->addChild('var_cp_timetable_class_value', htmlspecialchars($_POST['var_cp_timetable_class_value'][$counter]) );
						$track->addChild('var_cp_timetable_day', htmlspecialchars($_POST['var_cp_timetable_day'][$counter]) );
						$track->addChild('var_cp_timetable_start_time', $_POST['var_cp_timetable_start_time'][$counter] );
						$track->addChild('var_cp_timetable_end_time', htmlspecialchars($_POST['var_cp_timetable_end_time'][$counter]) );
						$counter++;
				}
			}
			
			
			$sxe = cs_page_options_save_xml($sxe);
			
			update_post_meta( $post_id, 'timetable', $sxe->asXML() );
	
		}
	}
		// adding Team meta info end

 ?>